<?php

require_once("mother_entity.php");

/**
 * Classe d'un objet Projet
 * @author Laura
 */

    class Image extends Entity{

    private int       $_id;
    private string    $_name = '';
    private string    $_alt = '';
    private string    $_status ='';
    private int       $_project = 0; 



    //le construc habituel
     public function __construct(){
        $this->_prefix = 'image_';
    }

    // Méthode Getter et Setter

    /**
     * Récuperation de l'id de l'image
     * @return int l'id de l'image
     */
    public function getId():int{
        return $this->_id;
    }

    /**
     * Mise à jour de l'id de l'image
     * @param int le nouvelle id
     */
    public function setId($id){
        $this->_id = $id;
    }

    /**
     * Récuperation du nom de l'image
     * @return string nom de l'image
     */
    public function getName(){
        return $this->_name;
    }

    /**
     * Mise à jour du nom de l'image
     * @param string le nouveau nom de l'image
     */
    public function setName($name){
        $this->_name = $name;
    }

    /**
     * Récuperation de l'alt
     * @return string contenu de l'alt
     */
    public function getAlt(){
        return $this->_alt;
    }

    /**
     * Mise à jour de l'alt
     * @param string le nouveau contenu de l'alt
     */
    public function setAlt($alt){
        $this->_alt = $alt;
    }

    /**
     * Récuperation du statut de la photo
     * @return string du statut
     */
    public function getStatus(){
        return $this->_status;
    }

    /**
     * Mise à jour du statut de la photo
     * @param string le nouveau statut de la photo
     */
    public function setStatus($status){
        $this->_status = $status;
    }

    }